Package ru.bitel.bgbilling.modules.megafon.common.bean

# Enum Class MegafonContractOptionCategory

java.lang.Object
java.lang.Enum<MegafonContractOptionCategory>
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractOptionCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<MegafonContractOptionCategory>`, `Constable`, `GuiTitlable`

public enum MegafonContractOptionCategory extends Enum<MegafonContractOptionCategory> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ETHERNET`
  `MINUTES`
  `SMS`
  `UNLIMITED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MegafonContractOptionCategory`
  `defineCategory(int val)`
  `String`
  `getDescription()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `toString()`
  `static MegafonContractOptionCategory`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MegafonContractOptionCategory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ETHERNET

    public static final MegafonContractOptionCategory ETHERNET

  - ### UNLIMITED

    public static final MegafonContractOptionCategory UNLIMITED

  - ### MINUTES

    public static final MegafonContractOptionCategory MINUTES

  - ### SMS

    public static final MegafonContractOptionCategory SMS

- ## Method Details

  - ### values

    public static MegafonContractOptionCategory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MegafonContractOptionCategory valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()

  - ### defineCategory

    public static MegafonContractOptionCategory defineCategory(int val)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<MegafonContractOptionCategory>`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.